<?xml version="1.0" encoding="UTF-8"?>
<!--
   | Release plan
   | The idea is to let all releases dev, beta, rc, final release be driven by an release-plan (defined in xml)
   | 
   |  src
   |     release-plan 
   |                  1.0.xml
   |                  1.1.xml
   |                  1.2.xml
   |                  2.0.xml
   |
   | Its splitted into to parts planned and actual
   | the planned part is for planning (obvious)
   | and the actual is used for release-notes, change documents, blog notifications,....
   |
   | o should make sure the POM and the release plan is consistent
   | o must allow for customization
   | o perhaps it should be put into a release-plan (or release-manager) module
   | o should also provide info about branching from earlier versions.
 -->
<release-plan>
	<current-release-manager-id>betty</current-release-manager-id>
	<version>1.0</version>
	<status>open|closed</status>
	<notification> 
	  <notify type="blog" when"rc,final">someblogurl... </notify>
	  <notify type="mail"> dev@maven.apache.org,user@maven.apache.org<notify>
      <notify type="mail" when="release-lockdown (no cvs commits while tagging)">dev@maven.apache.org<notify>
      <notify type="freshmeat" when="final"> </notify>
	<actions>
	<srcDistributionDirectory>1.0/src</srcDistributionDirectory> <!--prefixed to POMS distributionsdir -->
	<binDistributionDirectory>1.0/bin</binDistributionDirectory> <!--prefixed to POMS distributionsdir -->
	  
	
	<releases>
		<release release-type="beta" release-version="1" released="1999-03-14T18:27:46">
			<planned start="1999-03-14T18:27:46" finish="1999-03-14T18:27:46">
				<overall-goal>Bug fixes</overall-goal>
				<subgoals>
					<goal>World Domination</goal>
					<goal>Beat Betty</goal>
				</subgoals>
				<test-pass>Moderate testing by the community. All component teams fixing serious defects.</test-pass>
				<fix-approval>No changes are to be released without prior approval and associated bug report.</fix-approval>
				<notification>None</notification>
			</planned>
			<actual start="1999-03-14T18:27:46" finish="">
				<release-tag>RELEASE_MAVEN_1.0_BETA_1</release-tag> <!--cvs tag-->
				<release-note> This was a quiet release as there was a quite an overhaul in the core of Maven. The core was slimmed down and a lot of code was moved into the plugins. In lieu of a set of detailed changes we are trying to get the documentation up to scratch as fast as possible. But here are some of the more notable changes: </release-note>
				<released-by-id>betty</released-by-id>
				<changes>
					<change>Goal caching for much faster start-up times</change>
					<change>Start of general artifact support</change>
					<change>Unsatisfied dependency exception</change>
					<change>Maven jar override support for version number</change>
					<change>Offline support for snapshots</change>
					<change>i18n support</change>
				</changes>
				<dependencies>
				    <dependency>
     					<id>commons-collections</id>
					      <version>2.1</version>
				    </dependency>   
									
				    <dependency>
				      <id>excalibur-event</id>
				      <version>SNAPSHOT</version>
				    </dependency>   
				
				    <dependency>
				      <id>junit</id>
				      <version>3.8</version>
				    </dependency>
				    
				    
				    <dependency>
				      <id>logkit</id>
				      <version>1.0.1</version>
				    </dependency>
				
				    <dependency>
				      <id>concurrent</id>
				      <version>1.3.1</version>
				    </dependency>   
								
				<dependencies>
			</actual>
		</release>
		

        <!-- old model -->
		
		<release release-type="beta" release-version="2">
			<planned start="1999-03-14T18:27:46" finish="1999-03-14T18:27:46">
				<overall-goal>Bug fixes</overall-goal>
				<subgoals>
					<goal>World Domination</goal>
					<goal>Beat Betty</goal>
				</subgoals>
				<test-pass>Moderate testing by the community. All component teams fixing serious defects.</test-pass>
				<fix-approval>No changes are to be released without prior approval and associated bug report.</fix-approval>
				<notification>None</notification>
			</planned>
			<actual start="1999-03-14T18:27:46" finish="1999-03-14T18:27:46">
				<release-date>2002-03-15</release-date>
				<release-tag>RELEASE_MAVEN_1.0_BETA_1</release-tag>
				<release-note> This was a quiet release as there was a quite an overhaul in the core of Maven. The core was slimmed down and a lot of code was moved into the plugins. In lieu of a set of detailed changes we are trying to get the documentation up to scratch as fast as possible. But here are some of the more notable changes: </release-note>
				<changes>
					<change>Goal caching for much faster start-up times</change>
					<change>Start of general artifact support</change>
					<change>Unsatisfied dependency exception</change>
					<change>Maven jar override support for version number</change>
					<change>Offline support for snapshots</change>
					<change>i18n support</change>
				</changes>
			</actual>
		</release>
		<release release-type="rc" release-version="1">
			<planned start="1999-03-14T18:27:46" finish="1999-03-14T18:27:46">
				<overall-goal>Bug fixes</overall-goal>
				<subgoals>
					<goal>World Domination</goal>
					<goal>Beat Betty</goal>
				</subgoals>
				<test-pass>Moderate testing by the community. All component teams fixing serious defects.</test-pass>
				<fix-approval>No changes are to be released without prior approval and associated bug report.</fix-approval>
				<notification>None</notification>
			</planned>
			<actual start="1999-03-14T18:27:46" finish="1999-03-14T18:27:46">
				<release-date>2002-03-15</release-date>
				<release-tag>RELEASE_MAVEN_1.0_BETA_1</release-tag>
				<release-note> This was a quiet release as there was a quite an overhaul in the core of Maven. The core was slimmed down and a lot of code was moved into the plugins. In lieu of a set of detailed changes we are trying to get the documentation up to scratch as fast as possible. But here are some of the more notable changes: </release-note>
				<changes>
					<change>Goal caching for much faster start-up times</change>
					<change>Start of general artifact support</change>
					<change>Unsatisfied dependency exception</change>
					<change>Maven jar override support for version number</change>
					<change>Offline support for snapshots</change>
					<change>i18n support</change>
				</changes>
			</actual>
		</release>
		<release release-type="rc" release-version="2">
			<planned start="1999-03-14T18:27:46" finish="1999-03-14T18:27:46">
				<overall-goal>Bug fixes</overall-goal>
				<subgoals>
					<goal>World Domination</goal>
					<goal>Beat Betty</goal>
				</subgoals>
				<test-pass>Moderate testing by the community. All component teams fixing serious defects.</test-pass>
				<fix-approval>No changes are to be released without prior approval and associated bug report.</fix-approval>
				<notification>None</notification>
			</planned>
			<actual start="1999-03-14T18:27:46" finish="1999-03-14T18:27:46">
				<release-date>2002-03-15</release-date>
				<release-tag>RELEASE_MAVEN_1.0_BETA_1</release-tag>
				<release-note> This was a quiet release as there was a quite an overhaul in the core of Maven. The core was slimmed down and a lot of code was moved into the plugins. In lieu of a set of detailed changes we are trying to get the documentation up to scratch as fast as possible. But here are some of the more notable changes: </release-note>
				<changes>
					<change>Goal caching for much faster start-up times</change>
					<change>Start of general artifact support</change>
					<change>Unsatisfied dependency exception</change>
					<change>Maven jar override support for version number</change>
					<change>Offline support for snapshots</change>
					<change>i18n support</change>
				</changes>
			</actual>
		</release>
		<release release-type="final">
			<planned start="1999-03-14T18:27:46" finish="1999-03-14T18:27:46">
				<overall-goal>Bug fixes</overall-goal>
				<subgoals>
					<goal>World Domination</goal>
					<goal>Beat Betty</goal>
				</subgoals>
				<test-pass>Moderate testing by the community. All component teams fixing serious defects.</test-pass>
				<fix-approval>No changes are to be released without prior approval and associated bug report.</fix-approval>
				<notification>None</notification>
			</planned>
			<actual start="1999-03-14T18:27:46" finish="1999-03-14T18:27:46">
				<release-date>2002-03-15</release-date>
				<release-tag>RELEASE_MAVEN_1.0_BETA_1</release-tag>
				<release-note> This was a quiet release as there was a quite an overhaul in the core of Maven. The core was slimmed down and a lot of code was moved into the plugins. In lieu of a set of detailed changes we are trying to get the documentation up to scratch as fast as possible. But here are some of the more notable changes: </release-note>
				<changes>
					<change>Goal caching for much faster start-up times</change>
					<change>Start of general artifact support</change>
					<change>Unsatisfied dependency exception</change>
					<change>Maven jar override support for version number</change>
					<change>Offline support for snapshots</change>
					<change>i18n support</change>
				</changes>
			</actual>
		</release>
	</releases>
</release-plan>
